Subject: bug#12736: 24.2; sql.el change name of process buffer

From: Michael Mauger <[email-masked]>
Date: Sun, 18 Nov 2012 15:53:40 -0800 (PST)

Lynn, 

Chong asked me look at this sql.el problem.  Looking at the code, it shouldn't be possible for this to have happened.  It checks to make sure the process exists (and even that it is a Postgres interactive buffer) before it tries to send the text, yet when it goes to send the text there is no process present.

Could I ask that you confirm that you can reproduce this problem?  If it happens every time with a consistent method then I can debug it, but based on the details in the error report and my own experience I can't determine what is happening.  

Thanks.  I live in SQL mode all day so I'm eager to make sure it is a resilient as possible.

-- Michael

>________________________________
> From: Chong Yidong <[email-masked]>
>To: Michael R. Mauger <[email-masked]> 
>
>
>...
>
>Could you take a look at Bug#12736?
>
>